%define name xmms-Zon
%define rname Zon
%define version 0.04.1_beta2
%define release 3mdk	

Name:		%{name}
Summary:	OpenGL visualization plugin for xmms
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://choronzon.net/Code/Zon/
Source:		%{rname}-%{version}.tar.bz2
Patch:		Zon-makefile.patch.bz2
Requires:	xmms >= 1.0.0
Buildrequires:	libxmms1-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Zon (pronounced like "zone") is a plugin for XMMS. 
It uses GL & GLUT, and will soon be ported to Winamp, as well. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{rname}

%patch -p1

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/xmms/Visualization/
mkdir -p $RPM_BUILD_ROOT%_datadir/Zon
make INSTALL_DIR=$RPM_BUILD_ROOT/usr/lib/xmms/Visualization/ \
	TEXTURE_DIR=$RPM_BUILD_ROOT%_datadir/Zon install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig -n /usr/lib/xmms/Visualization

%postun
/sbin/ldconfig -n /usr/lib/xmms/Visualization


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING 
%_libdir/xmms/Visualization/*
%_datadir/Zon


%changelog
* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.04.1_beta2-3mdk
- rebuild

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-2mdk
- fix makefile

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-1mdk
- updated to 0.04.1_beta2 that should work on cooker
- added buildrequires

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-1mdk
- updated to 0.04

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.03.1-1mdk
- new in contribs
